DIRNAME(1)

BEZEICHNUNG
dirname - letzte Komponente des Dateinamens entfernen

ÜBERSICHT
dirname OPTION NAME…

BESCHREIBUNG

Gibt jeden NAME mit der letzten Komponente aus, die keinen Schrägstrich enthält und entfernt nachfolgende Schrägstriche; enthält der NAME kein »/«, wird ».« ausgegeben (entspricht dem aktuellen Verzeichnis).

-z, --zero
    Ausgabe mit NUL statt des Zeilenumbruchs unterteilen

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

BEISPIELE

dirname /usr/bin/
    -> "/usr"

dirname dir1/str dir2/str
    -> »dir1«, gefolgt von »dir2«

dirname stdio.h
    -> "."

AUTOR
Geschrieben von David MacKenzie und Jim Meyering.

FEHLER BERICHTEN
Berichten Sie Fehler in dirname (auf Englisch) an bug-coreutils@gnu.org
Homepage der GNU coreutils: <http://www.gnu.org/software/coreutils/>
Allgemeine Hilfe zur Benutzung von GNU-Software: <http://www.gnu.org/gethelp/>
Berichten Sie Fehler in der Übersetzung von dirname an <http://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
basename(1), readlink(1)

Die vollständige Dokumentation für dirname wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und dirname auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info coreutils 'dirname invocation'

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org> und Tobias Quathamer <toddy@debian.org> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.